Bug 219984 - devel/magit: Update to 2.10.3
Summary: devel/magit: Update to 2.10.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Seaman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-14 12:44 UTC by Yasuhiro KIMURA
Modified: 2017-08-01 20:48 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (kuriyama)


Attachments
patch file (3.46 KB, patch)
2017-06-14 12:44 UTC, Yasuhiro KIMURA
koobs: maintainer-approval+
Details | Diff
patch files + maintainer change (3.84 KB, patch)
2017-08-01 01:28 UTC, Yasuhiro KIMURA
koobs: maintainer-approval? (kuriyama)
Details | Diff
poudriere log file (48.78 KB, text/plain)
2017-08-01 08:51 UTC, Yasuhiro KIMURA
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2017-06-14 12:44:11 UTC
Created attachment 183479 [details]
patch file

Update to 2.10.3.
Comment 1 Yasuhiro KIMURA 2017-06-30 05:42:51 UTC
Hello Kuriyama-san,

Would you please commit this PR?

Best regards.
Comment 2 Yasuhiro KIMURA 2017-08-01 01:28:36 UTC
Created attachment 184877 [details]
patch files + maintainer change

Take over maintainership because there is no response from current maintainer for more than 6 weeks.

So please commit attached patch instead of original one.
Comment 3 Yasuhiro KIMURA 2017-08-01 08:51:59 UTC
Created attachment 184887 [details]
poudriere log file

Poudriere build log is attached, and the result of portlint check is as following:

yasu@eastasia[2074]% pwd                                                                              /usr/ports/devel/magit
yasu@eastasia[2075]% portlint -A
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 1 warning found.
yasu@eastasia[2076]%
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 10:41:16 UTC
Comment on attachment 183479 [details]
patch file

This original patch (without the maintainer change) is:

Approved by: portmgr (maintainer timeout, 1+ month)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 10:42:01 UTC
Comment on attachment 184877 [details]
patch files + maintainer change

This patch (submitted 9 hours ago) has not yet reached maintainer timeout
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-01 10:43:19 UTC
Attachment 183479 [details] is open to take/commit (maintainer timeout, 1+ month)
Comment 7 commit-hook freebsd_committer 2017-08-01 20:46:38 UTC
A commit references this bug:

Author: matthew
Date: Tue Aug  1 20:45:58 UTC 2017
New revision: 447076
URL: https://svnweb.freebsd.org/changeset/ports/447076

Log:
  Update to 2.10.3.

  PR:		219984
  Submitted by:	yasu@utahime.org
  Approved by:	maintainer timeout (+1 month)

Changes:
  head/devel/magit/Makefile
  head/devel/magit/distinfo
  head/devel/magit/files/patch-default.mk
  head/devel/magit/pkg-plist
Comment 8 Matthew Seaman freebsd_committer 2017-08-01 20:48:49 UTC
Committed, thanks

Just the version bump was committed, not the change of maintainer.  As Koobs said, the timeout for maintainer change has not yet expired.  IIRC, that's also a longer timeout than required just for a port upgrade.

Could you open a new PR asking for just the maintainer change please?